Subject: [PATCH V2 0/4] Adding SATA support for Armada 370/XP

From: [email-masked] (Gregory CLEMENT)
Date: Fri, 26 Oct 2012 14:55:01 +0200

On 10/26/2012 02:39 PM, Andrew Lunn wrote:
> On Fri, Oct 26, 2012 at 02:30:45PM +0200, Gregory CLEMENT wrote:
>> Hello,
>>
>> this patch set adds the SATA support for Armada 370 and Armada XP. Few
>> changes have been done since the first version by taking in account
>> the comments received for the first version.
>>
>> The evaluation boards for Armada 370 and Armada XP come with 2 SATA
>> ports, and when both are enable the coherent pool for DMA mapping was
>> too short. It was exactly the same issue that was fixed for Kirkwood
>> two months ago. So I used the same fix in the first patch. Later when
>> Kirkwood will be part of mach-mvebu, then this fix will be shared
>> between the 2 SoCs families.
>>
>> This patch set is based on 3.7-rc2 and depends one the framework clock
>> support (the last version was posted last week:
>> http://thread.gmane.org/gmane.linux.kernel/1375701). The git branch
>> called mvebu-SATA-for-3.8 is also available at
>> https://github.com/MISL-EBU-System-SW/mainline-public.git.
> 
> Hi Gregory
> 
> What about the openblocks-ax3?

Well I don't have this hardware, Thomas have. But with this question
I guess this board have (a) SATA port(s).

Moreover openblocks-ax3 is not (yet) in Jason branch so I can't make
a patch applying on a file which doesn't exist on my branch. It could
be a dependency but I try to reduce it as far as I can.

But as soon as this series will be applied, adding SATA support for
openblocks-ax3 should be pretty fast and just a matter of updating
the dts.

>      Andrew

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com